## IdeCompletionDisplay IdeCompletionDisplay |

## Functions

void | ide_completion_display_attach ()
void | ide_completion_display_set_context ()
gboolean | ide_completion_display_key_press_event ()
void | ide_completion_display_set_n_rows ()
void | ide_completion_display_move_cursor ()

## Types and Values

#define | IDE_TYPE_COMPLETION_DISPLAY
struct | IdeCompletionDisplayInterface
| IdeCompletionDisplay

## Object Hierarchy

        GInterface
        ╰── IdeCompletionDisplay

## Prerequisites

IdeCompletionDisplay requires GtkWidget.

## Description

## Functions

### ide_completion_display_attach ()

    void
    ide_completion_display_attach (IdeCompletionDisplay *self,
                                   GtkSourceView *view);

### ide_completion_display_set_context ()

    void
    ide_completion_display_set_context (IdeCompletionDisplay *self,
                                        IdeCompletionContext *context);

### ide_completion_display_key_press_event ()

    gboolean
    ide_completion_display_key_press_event
                                   (IdeCompletionDisplay *self,
                                    const GdkEventKey *key);

### ide_completion_display_set_n_rows ()

    void
    ide_completion_display_set_n_rows (IdeCompletionDisplay *self,
                                       guint n_rows);

### ide_completion_display_move_cursor ()

    void
    ide_completion_display_move_cursor (IdeCompletionDisplay *self,
                                        GtkMovementStep step,
                                        gint count);

## Types and Values

### IDE_TYPE_COMPLETION_DISPLAY

    #define IDE_TYPE_COMPLETION_DISPLAY (ide_completion_display_get_type())

### struct IdeCompletionDisplayInterface

    struct IdeCompletionDisplayInterface {
      GTypeInterface parent_iface;

      void     (*set_context)     (IdeCompletionDisplay       *self,
                                   IdeCompletionContext       *context);
      gboolean (*key_press_event) (IdeCompletionDisplay       *self,
                                   const GdkEventKey          *key);
      void     (*attach)          (IdeCompletionDisplay       *self,
                                   GtkSourceView              *view);
      void     (*set_font_desc)   (IdeCompletionDisplay       *self,
                                   const PangoFontDescription *font_desc);
      void     (*set_n_rows)      (IdeCompletionDisplay       *self,
                                   guint                       n_rows);
      void     (*move_cursor)     (IdeCompletionDisplay       *self,
                                   GtkMovementStep             step,
                                   gint                        count);
    };

### IdeCompletionDisplay

    typedef struct _IdeCompletionDisplay IdeCompletionDisplay;